<?php
/**
 * @author Tobias Merkl (support@oxid-module.eu)
 * @package tabsl_feedback (www.oxid-module.eu)
 * @version 1.0.0
**/
class tabsl_feedback_oxcmp_shop extends tabsl_feedback_oxcmp_shop_parent
{

    /**
     * Executes parent::render() and returns active shop object.
     *
     * @return  object  $this->oActShop active shop object
     */
    public function render()
    {
        $retValue = parent::render();

        $this->_oParent->addTplParam("getTabslFeedbackForm", $this->_getTabslFeedbackForm());
        $this->_oParent->addTplParam("getTabslFeedbackSubjects", $this->_getTabslFeedbackSubjects());
        $this->_oParent->addTplParam("getTabslFeedbackName", $this->_getTabslFeedbackName());
        $this->_oParent->addTplParam("getTabslFeedbackEmail", $this->_getTabslFeedbackEmail());

        return $retValue;
    }
    

    public function sendTabslFeedback()
    {
        $myConfig = $this->getConfig();
        $sName = $myConfig->getParameter("contactName");
        oxSession::setVar("tabsl_feedback_name", $sName);
        $sEmail = $myConfig->getParameter("contactEmail");
        oxSession::setVar("tabsl_feedback_email", $sEmail);
        $sSubject = $myConfig->getParameter("contactSubject");
        $sMessage = $myConfig->getParameter("contactMessage");
        $sMailTo = $myConfig->getConfigParam( 'tabsl_feedback_sContatMail' );

        $sNewMessage = "Name: ".$sName."\r\n";
        $sNewMessage .= "eMail: ".$sEmail."\r\n\r\n";
        $sNewMessage .= "-------------------\r\n\r\n";
        $sNewMessage .= "URL: ".$_SERVER['HTTP_REFERER']."\r\n";
        $sNewMessage .= "Browser: ".$_SERVER["HTTP_USER_AGENT"]."\r\n\r\n";
        $sNewMessage .= "-------------------\r\n\r\n";
        $sNewMessage .= nl2br(htmlspecialchars_decode($sMessage));

        $oEmail = oxnew("oxemail");
        $blSendEmail = $oEmail->sendEmail($sMailTo, $sSubject, $sNewMessage);

        if($blSendEmail)
        {
            echo "success";
        }
        else
        {
            echo "error";
        }
        exit;
    }


    protected function _getTabslFeedbackForm()
    {
        $myConfig = $this->getConfig();
        if($myConfig->getConfigParam( 'tabsl_feedback_blIsActive' ))
        {
            return true;
        }
        return false;
    }


    protected function _getTabslFeedbackSubjects()
    {
        $myConfig = $this->getConfig();
        if($aSubjects = $myConfig->getConfigParam( 'tabsl_feedback_aSubjects' ))
        {
            return $aSubjects;
        }
        return false;
    }


    protected function _getTabslFeedbackName()
    {
        return oxSession::getVar("tabsl_feedback_name");
    }


    protected function _getTabslFeedbackEmail()
    {
        return oxSession::getVar("tabsl_feedback_email");
    }
}